<?php
require_once('api.config.php');

// WEB용 API는 API 신청 시 입력한 `Callback 경로`(현재 파일)로 redirect 됩니다.
// GET방식으로 code,stat의 값이 전달받습니다.

$parm = array();
$parm['client_id'] = $ecplaza_client_id; // api.config.php를 참조하세요.
$parm['client_secret'] = $ecplaza_client_secret; // api.config.php를 참조하세요.
$parm['redirect_uri'] = $ecplaza_redirect_uri; // api.config.php를 참조하세요.
$parm['code'] = $_GET['code']; // 필수 항목입니다.
$parm['api_type'] = 'web'; // 고정 값 (상수)
$parm['grant_type'] = 'authorization_code'; // 고정 값 (상수)

$url = 'https://api.ecplaza.net/oauth/accessToken';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_POST, TRUE); // Access Token은 POST방식만 지원이 됩니다.
curl_setopt($ch, CURLOPT_POSTFIELDS, $parm); // POST방식으로 값을 전달합니다.
$res = curl_exec($ch); // 결과 값은 JSON 형식입니다.

// 결과를 출력합니다.
if($res == FALSE) echo json_encode(array('error' => 'curl_failed', 'error_message' => curl_error($ch)));
else echo $res;

curl_close($ch);
?>